diff --git a/media/libaom/cmakeparser.py b/media/libaom/cmakeparser.py
index cb2686a618..b54785de90 100644
--- a/media/libaom/cmakeparser.py
+++ b/media/libaom/cmakeparser.py
@@ -1,6 +1,7 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
+from __future__ import print_function
 from pyparsing import (CharsNotIn, Group, Forward, Literal, Suppress, Word,
                        QuotedString, ZeroOrMore, alphas, alphanums)
 from string import Template
@@ -36,8 +37,8 @@ def match_block(command, parsed, start):
             depth -= 1
         end = end + 1
         if end == len(parsed):
-            print('error: eof when trying to match block statement: %s'
-                  % parsed[start])
+            print(('error: eof when trying to match block statement: %s'
+                  % parsed[start]))
     return end
 
 
@@ -67,8 +68,8 @@ def parse_if(parsed, start):
             depth -= 1
         end = end + 1
         if end == len(parsed):
-            print('error: eof when trying to match if statement: %s'
-                  % parsed[start])
+            print(('error: eof when trying to match if statement: %s'
+                  % parsed[start]))
     condition.append(parsed[start:end])
     conditions.append(condition)
     return end, conditions
@@ -125,17 +126,17 @@ def evaluate(variables, cache_variables, parsed):
         elif command == 'include':
             if arguments:
                 try:
-                    print('including: %s' % arguments[0])
+                    print(('including: %s' % arguments[0]))
                     sources.extend(parse(variables, cache_variables, arguments[0]))
                 except IOError:
-                    print('warning: could not include: %s' % arguments[0])
+                    print(('warning: could not include: %s' % arguments[0]))
         elif command == 'list':
             try:
                 action = arguments[0]
                 variable = arguments[1]
                 values = arguments[2:]
                 if action == 'APPEND':
-                    if not variables.has_key(variable):
+                    if variable not in variables:
                         variables[variable] = ' '.join(values)
                     else:
                         variables[variable] += ' ' + ' '.join(values)
@@ -145,7 +146,7 @@ def evaluate(variables, cache_variables, parsed):
             variable = arguments[0]
             value = arguments[2]
             # Allow options to be override without changing CMake files
-            if not variables.has_key(variable):
+            if variable not in variables:
                 variables[variable] = value
         elif command == 'return':
             return False, sources
@@ -156,7 +157,7 @@ def evaluate(variables, cache_variables, parsed):
             try:
                 cache = values.index('CACHE')
                 values = values[0:cache]
-                if not variables.has_key(variable):
+                if variable not in variables:
                     variables[variable] = ' '.join(values)
                 cache_variables.append(variable)
             except ValueError:
@@ -193,7 +194,7 @@ def evaluate(variables, cache_variables, parsed):
             for source in arguments[1:]:
                 sources.extend(source.split(' '))
         elif command == 'MOZDEBUG':
-            print('>>>> MOZDEBUG: %s' % ' '.join(arguments))
+            print(('>>>> MOZDEBUG: %s' % ' '.join(arguments)))
         i += 1
     return True, sources
 
diff --git a/media/libaom/generate_sources_mozbuild.py b/media/libaom/generate_sources_mozbuild.py
index b8ed07b1f7..ef3c088d5a 100644
--- a/media/libaom/generate_sources_mozbuild.py
+++ b/media/libaom/generate_sources_mozbuild.py
@@ -1,6 +1,7 @@
 # This Source Code Form is subject to the terms of the Mozilla Public
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
+from __future__ import print_function
 import cmakeparser as cp
 
 import copy
@@ -97,7 +98,7 @@ if __name__ == '__main__':
         ('x86_64', 'win', 'mingw64', False),
     ]
     for cpu, system, arch, generate_sources in platforms:
-        print('Running CMake for %s (%s)' % (cpu, system))
+        print(('Running CMake for %s (%s)' % (cpu, system)))
         variables = shared_variables.copy()
         variables['AOM_TARGET_CPU'] = cpu
 
@@ -123,23 +124,23 @@ if __name__ == '__main__':
         # have to generate sources for each combination.
         if generate_sources:
             # Remove spurious sources and perl files
-            sources = filter(lambda x: x.startswith(AOM_DIR), sources)
-            sources = filter(lambda x: not x.endswith('.pl'), sources)
+            sources = [x for x in sources if x.startswith(AOM_DIR)]
+            sources = [x for x in sources if not x.endswith('.pl')]
 
             # Filter out exports
-            exports = filter(lambda x: re.match(os.path.join(AOM_DIR, '(aom|aom_mem|aom_ports|aom_scale)/.*h$'), x), sources)
-            exports = filter(lambda x: not re.search('(internal|src)', x), exports)
-            exports = filter(lambda x: not re.search('(emmintrin_compat.h|mem_.*|msvc.h|aom_once.h)$', x), exports)
+            exports = [x for x in sources if re.match(os.path.join(AOM_DIR, '(aom|aom_mem|aom_ports|aom_scale)/.*h$'), x)]
+            exports = [x for x in exports if not re.search('(internal|src)', x)]
+            exports = [x for x in exports if not re.search('(emmintrin_compat.h|mem_.*|msvc.h|aom_once.h)$', x)]
 
             for export in exports:
                 sources.remove(export)
 
             # Remove header files
-            sources = sorted(filter(lambda x: not x.endswith('.h'), sources))
+            sources = sorted([x for x in sources if not x.endswith('.h')])
 
             # The build system is unhappy if two files have the same prefix
             # In libaom, sometimes .asm and .c files share the same prefix
-            for i in xrange(len(sources) - 1):
+            for i in range(len(sources) - 1):
                 if sources[i].endswith('.asm'):
                     if os.path.splitext(sources[i])[0] == os.path.splitext(sources[i + 1])[0]:
                         old = sources[i]
diff --git a/media/libaom/src/test/gviz_api.py b/media/libaom/src/test/gviz_api.py
index d3a443dabf..eb0092264f 100755
--- a/media/libaom/src/test/gviz_api.py
+++ b/media/libaom/src/test/gviz_api.py
@@ -213,7 +213,7 @@ class DataTable(object):
           (len(value) == 3 and not isinstance(value[2], dict))):
         raise DataTableException("Wrong format for value and formatting - %s." %
                                  str(value))
-      if not isinstance(value[1], types.StringTypes + (types.NoneType,)):
+      if not isinstance(value[1], (str,) + (type(None),)):
         raise DataTableException("Formatted value is not string, given %s." %
                                  type(value[1]))
       js_value = DataTable.CoerceValue(value[0], value_type)
@@ -226,12 +226,12 @@ class DataTable(object):
       return bool(value)
 
     elif value_type == "number":
-      if isinstance(value, (int, long, float)):
+      if isinstance(value, (int, int, float)):
         return value
       raise DataTableException("Wrong type %s when expected number" % t_value)
 
     elif value_type == "string":
-      if isinstance(value, unicode):
+      if isinstance(value, str):
         return value
       else:
         return str(value).decode("utf-8")
@@ -296,7 +296,7 @@ class DataTable(object):
                             datetime.date,
                             datetime.time)):
       return str(value)
-    elif isinstance(value, unicode):
+    elif isinstance(value, str):
       return value
     elif isinstance(value, bool):
       return str(value).lower()
@@ -329,17 +329,17 @@ class DataTable(object):
     if not description:
       raise DataTableException("Description error: empty description given")
 
-    if not isinstance(description, (types.StringTypes, tuple)):
+    if not isinstance(description, ((str,), tuple)):
       raise DataTableException("Description error: expected either string or "
                                "tuple, got %s." % type(description))
 
-    if isinstance(description, types.StringTypes):
+    if isinstance(description, (str,)):
       description = (description,)
 
     # According to the tuple's length, we fill the keys
     # We verify everything is of type string
     for elem in description[:3]:
-      if not isinstance(elem, types.StringTypes):
+      if not isinstance(elem, (str,)):
         raise DataTableException("Description error: expected tuple of "
                                  "strings, current element of type %s." %
                                  type(elem))
@@ -456,7 +456,7 @@ class DataTable(object):
       -- second 'b' is the label, and {} is the custom properties field.
     """
     # For the recursion step, we check for a scalar object (string or tuple)
-    if isinstance(table_description, (types.StringTypes, tuple)):
+    if isinstance(table_description, ((str,), tuple)):
       parsed_col = DataTable.ColumnTypeParser(table_description)
       parsed_col["depth"] = depth
       parsed_col["container"] = "scalar"
@@ -491,9 +491,9 @@ class DataTable(object):
     # dictionary).
     # NOTE: this way of differentiating might create ambiguity. See docs.
     if (len(table_description) != 1 or
-        (isinstance(table_description.keys()[0], types.StringTypes) and
-         isinstance(table_description.values()[0], tuple) and
-         len(table_description.values()[0]) < 4)):
+        (isinstance(list(table_description.keys())[0], (str,)) and
+         isinstance(list(table_description.values())[0], tuple) and
+         len(list(table_description.values())[0]) < 4)):
       # This is the most inner dictionary. Parsing types.
       columns = []
       # We sort the items, equivalent to sort the keys since they are unique
@@ -509,11 +509,11 @@ class DataTable(object):
         columns.append(parsed_col)
       return columns
     # This is an outer dictionary, must have at most one key.
-    parsed_col = DataTable.ColumnTypeParser(table_description.keys()[0])
+    parsed_col = DataTable.ColumnTypeParser(list(table_description.keys())[0])
     parsed_col["depth"] = depth
     parsed_col["container"] = "dict"
     return ([parsed_col] +
-            DataTable.TableDescriptionParser(table_description.values()[0],
+            DataTable.TableDescriptionParser(list(table_description.values())[0],
                                              depth=depth + 1))
 
   @property
@@ -622,7 +622,7 @@ class DataTable(object):
       return
 
     # We have a dictionary in an inner depth level.
-    if not data.keys():
+    if not list(data.keys()):
       # In case this is an empty dictionary, we add a record with the columns
       # filled only until this point.
       self.__data.append(prev_col_values)
@@ -655,12 +655,12 @@ class DataTable(object):
       return self.__data
 
     proper_sort_keys = []
-    if isinstance(order_by, types.StringTypes) or (
+    if isinstance(order_by, (str,)) or (
         isinstance(order_by, tuple) and len(order_by) == 2 and
         order_by[1].lower() in ["asc", "desc"]):
       order_by = (order_by,)
     for key in order_by:
-      if isinstance(key, types.StringTypes):
+      if isinstance(key, (str,)):
         proper_sort_keys.append((key, 1))
       elif (isinstance(key, (list, tuple)) and len(key) == 2 and
             key[1].lower() in ("asc", "desc")):
diff --git a/media/libaom/src/test/visual_metrics.py b/media/libaom/src/test/visual_metrics.py
index 9055feb334..4a8cb6a650 100755
--- a/media/libaom/src/test/visual_metrics.py
+++ b/media/libaom/src/test/visual_metrics.py
@@ -13,6 +13,7 @@
 """Converts video encoding result data from text files to visualization
 data source."""
 
+from __future__ import print_function
 __author__ = "jzern@google.com (James Zern),"
 __author__ += "jimbankoski@google.com (Jim Bankoski)"
 
@@ -457,10 +458,10 @@ def HandleFiles(variables):
     for i in range(len(dirs)):
       formatters = "%s   formatter.format(better, %d);" % (formatters, i+1)
 
-  print FillForm(page_template, vars())
+  print(FillForm(page_template, vars()))
   return
 
 if len(sys.argv) < 3:
-  print HandleFiles.__doc__
+  print(HandleFiles.__doc__)
 else:
   HandleFiles(sys.argv)
diff --git a/media/libaom/src/tools/aggregate_entropy_stats.py b/media/libaom/src/tools/aggregate_entropy_stats.py
index 7cb4d18e18..ac61dbe0f5 100644
--- a/media/libaom/src/tools/aggregate_entropy_stats.py
+++ b/media/libaom/src/tools/aggregate_entropy_stats.py
@@ -14,6 +14,7 @@ python ./aggregate_entropy_stats.py [dir of stats files] [keyword of filenames]
  [filename of final stats]
 """
 
+from __future__ import print_function
 __author__ = "yuec@google.com"
 
 import os
diff --git a/media/libaom/src/tools/cpplint.py b/media/libaom/src/tools/cpplint.py
index e3ebde2f5a..1ff0053cb3 100755
--- a/media/libaom/src/tools/cpplint.py
+++ b/media/libaom/src/tools/cpplint.py
@@ -512,7 +512,7 @@ _ALT_TOKEN_REPLACEMENT = {
 # False positives include C-style multi-line comments and multi-line strings
 # but those have always been troublesome for cpplint.
 _ALT_TOKEN_REPLACEMENT_PATTERN = re.compile(
-    r'[ =()](' + ('|'.join(_ALT_TOKEN_REPLACEMENT.keys())) + r')(?=[ (]|$)')
+    r'[ =()](' + ('|'.join(list(_ALT_TOKEN_REPLACEMENT.keys()))) + r')(?=[ (]|$)')
 
 
 # These constants define types of headers for use with
@@ -952,7 +952,7 @@ class _CppLintState(object):
 
   def PrintErrorCounts(self):
     """Print a summary of errors by category, and the total."""
-    for category, count in self.errors_by_category.iteritems():
+    for category, count in self.errors_by_category.items():
       sys.stderr.write('Category \'%s\' errors found: %d\n' %
                        (category, count))
     sys.stdout.write('Total errors found: %d\n' % self.error_count)
@@ -1529,7 +1529,7 @@ def FindEndOfExpressionInLine(line, startpos, stack):
     On finding an unclosed expression: (-1, None)
     Otherwise: (-1, new stack at end of this line)
   """
-  for i in xrange(startpos, len(line)):
+  for i in range(startpos, len(line)):
     char = line[i]
     if char in '([{':
       # Found start of parenthesized expression, push to expression stack
@@ -1758,7 +1758,7 @@ def CheckForCopyright(filename, lines, error):
 
   # We'll say it should occur by line 10. Don't forget there's a
   # placeholder line at the front.
-  for line in xrange(1, min(len(lines), 11)):
+  for line in range(1, min(len(lines), 11)):
     if re.search(r'Copyright', lines[line], re.I): break
   else:                       # means no copyright line was found
     error(filename, 0, 'legal/copyright', 5,
@@ -1960,7 +1960,7 @@ def CheckForHeaderGuard(filename, clean_lines, error):
   # contain any "//" comments at all, it could be that the compiler
   # only wants "/**/" comments, look for those instead.
   no_single_line_comments = True
-  for i in xrange(1, len(raw_lines) - 1):
+  for i in range(1, len(raw_lines) - 1):
     line = raw_lines[i]
     if Match(r'^(?:(?:\'(?:\.|[^\'])*\')|(?:"(?:\.|[^"])*")|[^\'"])*//', line):
       no_single_line_comments = False
@@ -2301,7 +2301,7 @@ class _ClassInfo(_BlockInfo):
     # If there is a DISALLOW macro, it should appear near the end of
     # the class.
     seen_last_thing_in_class = False
-    for i in xrange(linenum - 1, self.starting_linenum, -1):
+    for i in range(linenum - 1, self.starting_linenum, -1):
       match = Search(
           r'\b(DISALLOW_COPY_AND_ASSIGN|DISALLOW_IMPLICIT_CONSTRUCTORS)\(' +
           self.name + r'\)',
@@ -3083,7 +3083,7 @@ def CheckForFunctionLengths(filename, clean_lines, linenum,
 
   if starting_func:
     body_found = False
-    for start_linenum in xrange(linenum, clean_lines.NumLines()):
+    for start_linenum in range(linenum, clean_lines.NumLines()):
       start_line = lines[start_linenum]
       joined_line += ' ' + start_line.lstrip()
       if Search(r'(;|})', start_line):  # Declarations and trivial functions
@@ -3540,7 +3540,7 @@ def _IsType(clean_lines, nesting_state, expr):
       continue
 
     # Look for typename in the specified range
-    for i in xrange(first_line, last_line + 1, 1):
+    for i in range(first_line, last_line + 1, 1):
       if Search(typename_pattern, clean_lines.elided[i]):
         return True
     block_index -= 1
@@ -3604,7 +3604,7 @@ def CheckBracesSpacing(filename, clean_lines, linenum, nesting_state, error):
     trailing_text = ''
     if endpos > -1:
       trailing_text = endline[endpos:]
-    for offset in xrange(endlinenum + 1,
+    for offset in range(endlinenum + 1,
                          min(endlinenum + 3, clean_lines.NumLines() - 1)):
       trailing_text += clean_lines.elided[offset]
     # We also suppress warnings for `uint64_t{expression}` etc., as the style
@@ -4158,7 +4158,7 @@ def CheckCheck(filename, clean_lines, linenum, error):
     expression = lines[linenum][start_pos + 1:end_pos - 1]
   else:
     expression = lines[linenum][start_pos + 1:]
-    for i in xrange(linenum + 1, end_line):
+    for i in range(linenum + 1, end_line):
       expression += lines[i]
     expression += last_line[0:end_pos - 1]
 
@@ -4286,7 +4286,7 @@ def GetLineWidth(line):
     The width of the line in column positions, accounting for Unicode
     combining characters and wide characters.
   """
-  if isinstance(line, unicode):
+  if isinstance(line, str):
     width = 0
     for uc in unicodedata.normalize('NFC', line):
       if unicodedata.east_asian_width(uc) in ('W', 'F'):
@@ -4622,7 +4622,7 @@ def _GetTextInside(text, start_pattern):
 
   # Give opening punctuations to get the matching close-punctuations.
   matching_punctuation = {'(': ')', '{': '}', '[': ']'}
-  closing_punctuation = set(matching_punctuation.itervalues())
+  closing_punctuation = set(matching_punctuation.values())
 
   # Find the position to start extracting text.
   match = re.search(start_pattern, text, re.M)
@@ -4941,7 +4941,7 @@ def IsDerivedFunction(clean_lines, linenum):
     virt-specifier.
   """
   # Scan back a few lines for start of current function
-  for i in xrange(linenum, max(-1, linenum - 10), -1):
+  for i in range(linenum, max(-1, linenum - 10), -1):
     match = Match(r'^([^()]*\w+)\(', clean_lines.elided[i])
     if match:
       # Look for "override" after the matching closing parenthesis
@@ -4962,7 +4962,7 @@ def IsOutOfLineMethodDefinition(clean_lines, linenum):
     True if current line contains an out-of-line method definition.
   """
   # Scan back a few lines for start of current function
-  for i in xrange(linenum, max(-1, linenum - 10), -1):
+  for i in range(linenum, max(-1, linenum - 10), -1):
     if Match(r'^([^()]*\w+)\(', clean_lines.elided[i]):
       return Match(r'^[^()]*\w+::\w+\(', clean_lines.elided[i]) is not None
   return False
@@ -4978,7 +4978,7 @@ def IsInitializerList(clean_lines, linenum):
     True if current line appears to be inside constructor initializer
     list, False otherwise.
   """
-  for i in xrange(linenum, 1, -1):
+  for i in range(linenum, 1, -1):
     line = clean_lines.elided[i]
     if i == linenum:
       remove_function_body = Match(r'^(.*)\{\s*$', line)
@@ -5079,7 +5079,7 @@ def CheckForNonConstReference(filename, clean_lines, linenum,
           # Found the matching < on an earlier line, collect all
           # pieces up to current line.
           line = ''
-          for i in xrange(startline, linenum + 1):
+          for i in range(startline, linenum + 1):
             line += clean_lines.elided[i].strip()
 
   # Check for non-const references in function parameters.  A single '&' may
@@ -5103,7 +5103,7 @@ def CheckForNonConstReference(filename, clean_lines, linenum,
   # appear inside the second set of parentheses on the current line as
   # opposed to the first set.
   if linenum > 0:
-    for i in xrange(linenum - 1, max(0, linenum - 10), -1):
+    for i in range(linenum - 1, max(0, linenum - 10), -1):
       previous_line = clean_lines.elided[i]
       if not Search(r'[),]\s*$', previous_line):
         break
@@ -5134,7 +5134,7 @@ def CheckForNonConstReference(filename, clean_lines, linenum,
     # Don't see an allowed function on this line.  Actually we
     # didn't see any function name on this line, so this is likely a
     # multi-line parameter list.  Try a bit harder to catch this case.
-    for i in xrange(2):
+    for i in range(2):
       if (linenum > i and
           Search(allowed_functions, clean_lines.elided[linenum - i - 1])):
         return
@@ -5297,7 +5297,7 @@ def CheckCStyleCast(filename, clean_lines, linenum, cast_type, pattern, error):
   # Try expanding current context to see if we one level of
   # parentheses inside a macro.
   if linenum > 0:
-    for i in xrange(linenum - 1, max(0, linenum - 5), -1):
+    for i in range(linenum - 1, max(0, linenum - 5), -1):
       context = clean_lines.elided[i] + context
   if Match(r'.*\b[_A-Z][_A-Z0-9]*\s*\((?:\([^()]*\)|[^()])*$', context):
     return False
@@ -5516,7 +5516,7 @@ def CheckForIncludeWhatYouUse(filename, clean_lines, include_state, error,
   required = {}  # A map of header name to linenumber and the template entity.
                  # Example of required: { '<functional>': (1219, 'less<>') }
 
-  for linenum in xrange(clean_lines.NumLines()):
+  for linenum in range(clean_lines.NumLines()):
     line = clean_lines.elided[linenum]
     if not line or line[0] == '#':
       continue
@@ -5570,7 +5570,7 @@ def CheckForIncludeWhatYouUse(filename, clean_lines, include_state, error,
 
   # include_dict is modified during iteration, so we iterate over a copy of
   # the keys.
-  header_keys = include_dict.keys()
+  header_keys = list(include_dict.keys())
   for header in header_keys:
     (same_module, common_path) = FilesBelongToSameModule(abs_filename, header)
     fullpath = common_path + header
@@ -5652,7 +5652,7 @@ def CheckRedundantVirtual(filename, clean_lines, linenum, error):
   end_col = -1
   end_line = -1
   start_col = len(virtual.group(2))
-  for start_line in xrange(linenum, min(linenum + 3, clean_lines.NumLines())):
+  for start_line in range(linenum, min(linenum + 3, clean_lines.NumLines())):
     line = clean_lines.elided[start_line][start_col:]
     parameter_list = Match(r'^([^(]*)\(', line)
     if parameter_list:
@@ -5667,7 +5667,7 @@ def CheckRedundantVirtual(filename, clean_lines, linenum, error):
 
   # Look for "override" or "final" after the parameter list
   # (possibly on the next few lines).
-  for i in xrange(end_line, min(end_line + 3, clean_lines.NumLines())):
+  for i in range(end_line, min(end_line + 3, clean_lines.NumLines())):
     line = clean_lines.elided[i][end_col:]
     match = Search(r'\b(override|final)\b', line)
     if match:
@@ -5924,7 +5924,7 @@ def ProcessFileData(filename, file_extension, lines, error,
   if IsHeaderExtension(file_extension):
     CheckForHeaderGuard(filename, clean_lines, error)
 
-  for line in xrange(clean_lines.NumLines()):
+  for line in range(clean_lines.NumLines()):
     ProcessLine(filename, file_extension, clean_lines, line,
                 include_state, function_state, nesting_state, error,
                 extra_check_functions)
diff --git a/media/libaom/src/tools/gen_constrained_tokenset.py b/media/libaom/src/tools/gen_constrained_tokenset.py
index 5d12ee1ef5..5fc42656f9 100755
--- a/media/libaom/src/tools/gen_constrained_tokenset.py
+++ b/media/libaom/src/tools/gen_constrained_tokenset.py
@@ -20,6 +20,7 @@ is first solved, and then the {alpha, beta} pair is used to generate
 the probabilities for the rest of the nodes.
 """
 
+from __future__ import print_function
 import heapq
 import sys
 import numpy as np
@@ -108,7 +109,7 @@ def main(bits=15, first_token=1):
   for q in range(1, 256):
     parray = get_quantized_spareto(q / 256., beta, bits, first_token)
     assert parray.sum() == 2**bits
-    print '{', ', '.join('%d' % i for i in parray), '},'
+    print('{', ', '.join('%d' % i for i in parray), '},')
 
 
 if __name__ == '__main__':
diff --git a/media/libaom/src/tools/gop_bitrate/analyze_data.py b/media/libaom/src/tools/gop_bitrate/analyze_data.py
index 4e006b9220..611cc68cdd 100644
--- a/media/libaom/src/tools/gop_bitrate/analyze_data.py
+++ b/media/libaom/src/tools/gop_bitrate/analyze_data.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 with open('experiment.txt', 'r') as file:
     lines = file.readlines()
     curr_filename = ''
diff --git a/media/libaom/src/tools/gop_bitrate/python/bitrate_accuracy.py b/media/libaom/src/tools/gop_bitrate/python/bitrate_accuracy.py
index 2a5da6a794..f1e8ea9c60 100644
--- a/media/libaom/src/tools/gop_bitrate/python/bitrate_accuracy.py
+++ b/media/libaom/src/tools/gop_bitrate/python/bitrate_accuracy.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 import numpy as np
 
 # Model A only.
@@ -15,7 +16,7 @@ def pinv_solution(A, mv, B):
     new_A = np.concatenate((A, mv), axis=1)
     new_A_inv = np.linalg.pinv(new_A)
     new_x = np.matmul(new_A_inv, B)
-    print("pinv solution:", new_x[0][0], new_x[1][0])
+    print(("pinv solution:", new_x[0][0], new_x[1][0]))
     return (new_x[0][0], new_x[1][0])
 
 # Model A only.
@@ -160,7 +161,7 @@ def print_solutions(file_path):
         all_zeros = not A.any()
         if all_zeros:
             continue
-        print("update type:", update[0][0])
+        print(("update type:", update[0][0]))
         x_ls = lstsq_solution(A, B)
         x_a = minimize_percentage_error_model_a(A, B)
         x_b = minimize_percentage_error_model_b(A, mv, B)
@@ -175,10 +176,10 @@ def print_solutions(file_path):
         baseline_squared_error_b = average_squared_error_model_b(A, mv, B, [1, 1])[0]
 
         print("model,\tframe_coeff,\tmv_coeff,\terror,\tbaseline_error")
-        print("Model A %_error,\t" + str(x_a) + ",\t" + str(0) + ",\t" + str(percent_error_a) + ",\t" + str(baseline_percent_error_a))
-        print("Model A sq_error,\t" + str(x_a) + ",\t" + str(0) + ",\t" + str(squared_error_a) + ",\t" + str(baseline_squared_error_a))
-        print("Model B %_error,\t" + str(x_b[0]) + ",\t" + str(x_b[1]) + ",\t" + str(percent_error_b) + ",\t" + str(baseline_percent_error_b))
-        print("Model B sq_error,\t" + str(x_b[0]) + ",\t" + str(x_b[1]) + ",\t" + str(squared_error_b) + ",\t" + str(baseline_squared_error_b))
+        print(("Model A %_error,\t" + str(x_a) + ",\t" + str(0) + ",\t" + str(percent_error_a) + ",\t" + str(baseline_percent_error_a)))
+        print(("Model A sq_error,\t" + str(x_a) + ",\t" + str(0) + ",\t" + str(squared_error_a) + ",\t" + str(baseline_squared_error_a)))
+        print(("Model B %_error,\t" + str(x_b[0]) + ",\t" + str(x_b[1]) + ",\t" + str(percent_error_b) + ",\t" + str(baseline_percent_error_b)))
+        print(("Model B sq_error,\t" + str(x_b[0]) + ",\t" + str(x_b[1]) + ",\t" + str(squared_error_b) + ",\t" + str(baseline_squared_error_b)))
         print()
 
 if __name__ == "__main__":
diff --git a/media/libaom/src/tools/intersect-diffs.py b/media/libaom/src/tools/intersect-diffs.py
index df13c4ef70..87c4a6813e 100755
--- a/media/libaom/src/tools/intersect-diffs.py
+++ b/media/libaom/src/tools/intersect-diffs.py
@@ -16,6 +16,7 @@ in A and prints them to stdout. This is useful to determine the hunks in B that
 are relevant to A. The resulting file can be applied with patch(1) on top of A.
 """
 
+from __future__ import print_function
 __author__ = "jkoleszar@google.com"
 
 import sys
@@ -71,7 +72,7 @@ def main():
                 break
 
     if out_hunks:
-        print FormatDiffHunks(out_hunks)
+        print(FormatDiffHunks(out_hunks))
         sys.exit(1)
 
 if __name__ == "__main__":
diff --git a/media/libaom/src/tools/lint-hunks.py b/media/libaom/src/tools/lint-hunks.py
index d02bee16ce..18a7063b8c 100755
--- a/media/libaom/src/tools/lint-hunks.py
+++ b/media/libaom/src/tools/lint-hunks.py
@@ -10,6 +10,7 @@
 ## PATENTS file, you can obtain it at www.aomedia.org/license/patent.
 ##
 """Performs style checking on each diff hunk."""
+from __future__ import print_function
 import getopt
 import os
 import StringIO
@@ -65,17 +66,17 @@ def main(argv=None):
     try:
         try:
             opts, args = getopt.getopt(argv[1:], SHORT_OPTIONS, LONG_OPTIONS)
-        except getopt.error, msg:
+        except getopt.error as msg:
             raise Usage(msg)
 
         # process options
         for o, _ in opts:
             if o in ("-h", "--help"):
-                print __doc__
+                print(__doc__)
                 sys.exit(0)
 
         if args and len(args) > 1:
-            print __doc__
+            print(__doc__)
             sys.exit(0)
 
         # Find the fully qualified path to the root of the tree
@@ -105,7 +106,7 @@ def main(argv=None):
 
         # Run each affected file through cpplint
         lint_failed = False
-        for filename, affected_lines in file_affected_line_map.iteritems():
+        for filename, affected_lines in file_affected_line_map.items():
             if filename.split(".")[-1] not in ("c", "h", "cc"):
                 continue
 
@@ -129,17 +130,17 @@ def main(argv=None):
                     continue
                 warning_line_num = int(fields[1])
                 if warning_line_num in affected_lines:
-                    print "%s:%d:%s"%(filename, warning_line_num,
-                                      ":".join(fields[2:]))
+                    print("%s:%d:%s"%(filename, warning_line_num,
+                                      ":".join(fields[2:])))
                     lint_failed = True
 
         # Set exit code if any relevant lint errors seen
         if lint_failed:
             return 1
 
-    except Usage, err:
-        print >>sys.stderr, err
-        print >>sys.stderr, "for help use --help"
+    except Usage as err:
+        print(err, file=sys.stderr)
+        print("for help use --help", file=sys.stderr)
         return 2
 
 if __name__ == "__main__":
diff --git a/media/libjxl/src/doc/sphinx/conf.py b/media/libjxl/src/doc/sphinx/conf.py
index 1591aefc70..91ca1a621a 100644
--- a/media/libjxl/src/doc/sphinx/conf.py
+++ b/media/libjxl/src/doc/sphinx/conf.py
@@ -14,13 +14,13 @@ import subprocess
 def GetVersion():
     """Function to get the version of the current code."""
     with open(os.path.join(
-            os.path.dirname(__file__), '../../lib/CMakeLists.txt'), 'r') as f:
+            os.path.dirname(__file__), '../../lib/CMakeLists.txt')) as f:
         cmakevars = {}
         for line in f:
             m = re.match(r'set\(JPEGXL_([A-Z]+)_VERSION ([^\)]+)\)', line)
             if m:
                 cmakevars[m.group(1)] = m.group(2)
-    return '%s.%s.%s' % (cmakevars['MAJOR'], cmakevars['MINOR'], cmakevars['PATCH'])
+    return '{}.{}.{}'.format(cmakevars['MAJOR'], cmakevars['MINOR'], cmakevars['PATCH'])
 
 def ConfigProject(app, config):
     # Configure the doxygen xml directory as the "xml" directory next to the
